%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		nano
Version:	2.7.4
Release:	%mkrel 1
Summary:	Tiny console text editor that aims to emulate Pico
License:	GPLv3
Group:		Editors
URL:		http://www.nano-editor.org/
Source0:	http://www.nano-editor.org/dist/v%{url_ver}/%{name}-%{version}.tar.gz

# http://lists.gnu.org/archive/html/nano-devel/2010-08/msg00005.html
Patch2:		0002-use-futimens-if-available-instead-of-utime.patch

# Improve .spec file syntax hilighting and add support for:
# - CPU arches rpm supports
# - %filetrigger(in|un|postun)
# - %transfiletrigger(in|un|postun)
# - working %ifarch, %ifnarch, %ifos and %ifnos
Patch50:	nano-2.7.4-spec.nanorc.patch

Requires(post):		info-install
Requires(preun):	info-install
BuildRequires:	ncurses-devel
BuildRequires:	ncursesw-devel
BuildRequires:	file-devel
BuildRequires:	texinfo

%description
nano (Nano's ANOther editor) is the editor formerly known as
TIP (TIP Isn't Pico). It aims to emulate Pico as closely as
possible while also offering a few enhancements.

%prep
%setup -q
%autopatch -p1

%build
# do not run autotools, we have already reflected the configure.ac
# changes in configure and config.h.in
touch -c aclocal.m4 config.h.in configure Makefile.in

%configure2_5x \
	--enable-utf8
%make_build

%install
%make_install

#config file
install -Dpm644 doc/sample.nanorc %{buildroot}%{_sysconfdir}/nanorc

#disable line wrapping by default
sed -i -e 's/# set nowrap/set nowrap/' %{buildroot}%{_sysconfdir}/nanorc

#enable all syntax highlighting by default
sed -i -e 's|^#\s\(include.*\*.nanorc\"\)|\1|' %{buildroot}%{_sysconfdir}/nanorc

%find_lang --with-man --all-name %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/faq.html doc/nano.html doc/sample.nanorc
%{_bindir}/nano
%{_bindir}/rnano
%{_datadir}/nano
%{_infodir}/nano.info*
%{_mandir}/man1/nano.1*
%{_mandir}/man1/rnano.1*
%{_mandir}/man5/nanorc.5*
%config(noreplace) %{_sysconfdir}/nanorc


%changelog
* Sat Jan 21 2017 wally <wally> 2.7.4-1.mga6
+ Revision: 1082617
- new version 2.7.4

* Sat Dec 31 2016 wally <wally> 2.7.3-1.mga6
+ Revision: 1078832
- new version 2.7.3
- drop upstreamed patches

* Tue Sep 20 2016 wally <wally> 2.7.0-1.mga6
+ Revision: 1054758
- new version 2.7.0

* Fri Aug 12 2016 wally <wally> 2.6.3-1.mga6
+ Revision: 1046038
- new version 2.6.3

* Thu Aug 11 2016 wally <wally> 2.6.2-1.mga6
+ Revision: 1045703
- new version 2.6.2
- rediff P1 and P2 (from Fedora)

* Fri Mar 04 2016 wally <wally> 2.5.3-1.mga6
+ Revision: 985689
- new version 2.5.3

* Wed Feb 17 2016 wally <wally> 2.5.2-1.mga6
+ Revision: 963739
- new version 2.5.2
- drop P1 (follow Fedora)

* Sat Jan 16 2016 wally <wally> 2.5.1-4.mga6
+ Revision: 924662
- update .spec file syntax hilighting patch to hilight all arches our rpm supports

* Sat Jan 16 2016 wally <wally> 2.5.1-3.mga6
+ Revision: 924502
- support also %%ifarch and %%ifnarch in spec file syntax hilighting

* Sat Jan 16 2016 wally <wally> 2.5.1-2.mga6
+ Revision: 924450
- add patch to support %%filetrigger(in|un|postun) and %%transfiletrigger(in|un|postun) in .spec file syntax hilighting

* Thu Jan 14 2016 wally <wally> 2.5.1-1.mga6
+ Revision: 922995
- new version 2.5.1

* Mon Dec 14 2015 wally <wally> 2.5.0-1.mga6
+ Revision: 910377
- new version 2.5.0

* Sun Nov 22 2015 wally <wally> 2.4.3-1.mga6
+ Revision: 904862
- new version 2.4.3

* Tue Jul 07 2015 wally <wally> 2.4.2-1.mga6
+ Revision: 852395
- new version 2.4.2

* Sat Jun 20 2015 wally <wally> 2.4.1-1.mga6
+ Revision: 836124
- new version 2.4.1
- enable all installed syntax highlighting files by default

* Wed Oct 15 2014 umeabot <umeabot> 2.3.6-3.mga5
+ Revision: 742142
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.6-2.mga5
+ Revision: 682795
- Mageia 5 Mass Rebuild

* Tue Jul 22 2014 wally <wally> 2.3.6-1.mga5
+ Revision: 655658
- new version 2.3.6

* Thu Jun 19 2014 wally <wally> 2.3.4-1.mga5
+ Revision: 638148
- new version 2.3.4
- sync patches with Fedora

* Sat Oct 19 2013 umeabot <umeabot> 2.3.2-3.mga4
+ Revision: 528893
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 wally <wally> 2.3.2-2.mga4
+ Revision: 448081
- enable some syntax highlighting by default

* Thu May 23 2013 wally <wally> 2.3.2-1.mga4
+ Revision: 425029
- new version 2.3.2
- rediff patches (from Fedora)
- drop '--with-tiny' support from .spec
- clean .spec

* Sun Apr 07 2013 luigiwalser <luigiwalser> 2.3.1-4.mga3
+ Revision: 408807
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 2.3.1-3.mga3
+ Revision: 403608
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 25 2011 wally <wally> 2.3.1-1.mga2
+ Revision: 113606
- new version 2.3.1
- drop P3, fixed upstream

* Sun Apr 03 2011 wally <wally> 2.3.0-1.mga1
+ Revision: 79951
- new version 2.3.0
- sync patches with Fedora
- disable line wrapping by default
- minor .spec cleanup

* Sun Feb 20 2011 wally <wally> 2.2.6-1.mga1
+ Revision: 54580
- new version 2.2.6
- drop buildroot definition
- clean .spec a bit
- imported package nano

